SDL_PushGPUDebugGroup(3)

NAME
SDL_PushGPUDebugGroup - Begins a debug group with an arbitary name.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_PushGPUDebugGroup(
    SDL_GPUCommandBuffer *command_buffer,
    const char *name);

DESCRIPTION
Used for denoting groups of calls when viewing the command buffer callstream in a graphics debugging tool.

Each call to SDL_PushGPUDebugGroup
 must have a corresponding call to SDL_PopGPUDebugGroup .

On some backends (e.g. Metal), pushing a debug group during a render/blit/compute pass will create a group that is scoped to the native pass rather than the command buffer. For best results, if you push a debug group during a pass, always pop it in the same pass.

FUNCTION PARAMETERS

command_buffer
    a command buffer.

name
    a UTF-8 string constant that names the group.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_PopGPUDebugGroup(3)